Importing views 'Not Compatible with Source'

EDW Support shared this question 37 days ago
Answered

Hi

I am updating the views in one of our test environments by importing the up to date versions.

Most of the views have imported successfully however two have the following message to say the Virtual Table is not compatible with the source system:

/b11554590d065bfa7a70cc827bcbe088

Please could you advise what this error means and how I would resolve it.

Version: 9.2.2

Build: 20200805

Thanks

Wendy

Comments (2)

photo
1

Hi

I have managed to resolve this by re-exporting the views from our live database, however would still like to know what this error means in case it occurs again.


Thanks

Wendy

photo
1

Hi Wendy,

That's great to hear that you've managed to resolve it!

This error can come up when the table names in the export file don't match or translate to the tables you're trying to import them to in the destination database. There may have been a problem in the way the views were exported the first time around, however it's difficult to say exactly what without knowing more information about the source and destination databases along with a copy of the Yellowfin export file.

However, I've seen this happen before when something as simple as the schema name for the destination database is different.

I hope that answers your question!

Kind regards,

Chris